#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

#define int long long

//#pragma optimize("Ofast, unroll-loops")

typedef tree<
        int,
        null_type,
        less <int>,
        rb_tree_tag,
        tree_order_statistics_node_update
        > ordered_set;

int n;
vector < vector <int> > a;
vector <int> m, s, used, b;

void gen(int pos, int v){
    if(pos == n){
        vector <int> c;
        int last = -1;
        for(int i : b){
            if(last != -1){
                if(last + a[i][0] != v){
                    return;
                }
            }
            last = s[i] - a[i][0];
            for(int j = 1; j < m[i]; ++j){
                last = s[i] - a[i][j];
                if(a[i][j] - a[i - 1][j] != v){
                    return;
                }
            }
        }
        cout << "Yes" << '\n';
        for(auto i : b){
            cout << i + 1 << " ";
        }
        exit(0);
    }else{
        for(int i = 0; i < n; ++i){
            if(!used[i]){
                used[i] = 1;
                b[pos] = i;
                gen(pos + 1, v);
                used[i] = 0;
            }
        }
    }
}

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    cin >> n;
    a.resize(n);
    used.resize(n);
    b.resize(n);
    m.resize(n);
    s.resize(n);
    for(int i = 0; i < n; ++i){
        int x, y;
        cin >> x >> y;
        m[i] = x;
        s[i] = y;
        for(int j = 0; j < x; ++j){
            int z;
            cin >> z;
            a[i].push_back(z);
        }
    }

    for(int i = 0; i <= 200; ++i){
        gen(0, i);
    }

    cout << "No";
}
